---
title: This endpoint returns information of batch file of attribute group.
slug: api-documentation/this-endpoint-returns-information-of-batch-file-of-attribute-group
docTags: 
createdAt: 2026-08-27T16:58:51.938Z
---

{
  "id": "5HH45VdLa6LaY1Eu6Srgc",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/post-processing-status/commit",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/post-processing-status/commit"
      }
    ],
    "name": "This endpoint returns information of batch file of attribute group.",
    "description": "This endpoint returns information of attribute group batch file after it is processed.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Attribute group batch file information returned successfully.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "PostProcessingAttributeGroupCommitResponse.json",
            "schema": [],
            "modelRef": "RestAPI/GeneralRestResponse/PostProcessingAttributeGroupCommitResponse.json",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "A75G8vPfaOmgyOdDkW8y2",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/post-processing-status/commit \\\n     --header 'accept: application/json'"
        },
        {
          "id": "OwxjHnswwDxiXRvG5CfP5",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/post-processing-status/commit\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "o8Fxrw9PuXMCdL9jj95ra",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/post-processing-status/commit\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "tkWDDyAXy2BirDPzP6Fi-",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/pim/batch/attribute-group/{id}/post-processing-status/commit\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "A75G8vPfaOmgyOdDkW8y2"
    },
    "results": {
      "languages": [
        {
          "id": "SEkd8ejMg7Y_XHi7wtv6h",
          "language": "200",
          "code": "// Attribute group batch file information returned successfully.\n{}"
        }
      ],
      "selectedLanguageId": "SEkd8ejMg7Y_XHi7wtv6h"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}